=== debian/changelog ===
libpng1.6 (1.6.20-2) experimental; urgency=medium

  [ Tobias Frost ]
  * libpng16-16-udeb should not Conflicts: libpng-12-0.

  [ Anibal Monsalve Salazar ]
  * debhelper compat version is 9.
  * debian/control: libpng16-devtools is "Multi-Arch: same".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 28 Jan 2016 10:33:54 +0000

libpng1.6 (1.6.20-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Preparation for the transition, going to experimental.
  * Make libpng16-dev depend on libpng16-devtools to have libpng-config
    pulled in automatically for reverse dependencies.
  * Provide a so-name neutral devtools package

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 11:26:12 +0100

libpng1.6 (1.6.20-1) experimental; urgency=medium

  * New upstream release.
    Fix CVE-2015-8472.
    Closes: #810074.
  * Use default options to compress.
    Remove debian/source/options.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 07 Jan 2016 23:35:21 +0000

libpng1.6 (1.6.19-1) experimental; urgency=medium

  * New upstream release.
  * Update lintian-overrides for 1.6.19.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 18 Nov 2015 13:07:21 +0900

libpng1.6 (1.6.16-1) experimental; urgency=medium

  * New upstream release (Closes: #773823)
  * Standards Version is 3.9.6.
  * Update debian/copyright.
    Add infomation of license for other all files.
  * Update lintian-overrides for 1.6.16.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Mar 2015 18:33:32 +0900

libpng1.6 (1.6.10-2) experimental; urgency=low

  * Add libpng16-devtools package.
    Move libpng-config to this package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 02 Apr 2014 09:16:13 +0900

libpng1.6 (1.6.10-1) experimental; urgency=low

  * New upstream release (Closes: #740585)
    Fixed CVE-2014-0333. 
  * Update overrides files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 09:58:12 +0900

libpng1.6 (1.6.8-2) experimental; urgency=low

  * Update debian/copyright. (Closes: #735737)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 21 Jan 2014 08:59:56 +0900

libpng1.6 (1.6.8-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 15 Jan 2014 13:10:28 +0900

libpng1.6 (1.6.7-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 14 Jan 2014 15:21:52 +0900

libpng (1.5.11-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 05 Jul 2012 13:18:14 +0900

libpng (1.5.10-3) experimental; urgency=low

  * Remove libpng12-dev binary package. libpng-dev provides and replaces
    libpng12-dev.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 19 May 2012 18:55:25 +1000

libpng (1.5.10-2) experimental; urgency=low

  * Add transition packages libpng3, libpng12-0 and libpng12-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 18 May 2012 10:09:24 +1000

libpng (1.5.10-1) experimental; urgency=high

  * New upstream version 1.5.10
    - Fix CVE-2011-3048 (memory corruption flaw)
      Closes: 667475
  * Standards Version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 09 Apr 2012 13:29:39 +1000

libpng (1.5.9-1) experimental; urgency=low

  * New upstream version 1.5.9

    The purpose of this release is to fix the dangerous CVE-2011-3026.
    The libpng patch is different from the one that was distributed
    earlier by Chromium, in that the libpng user limit feature is not
    crippled by the patch.

    Remove 02-660026-CVE-2011-3026.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Feb 2012 12:22:43 +1100

libpng (1.5.8-1) experimental; urgency=high

  * New upstream release.
    Fix a one-byte (stack) buffer-overrun bug in
    png_formatted_warning(), which could lead to crashes (denial of
    service) or, conceivably, execution of hostile code.
    This vulnerability has been assigned ID CVE-2011-3464.
  * Check for both truncation (64-bit platforms) and integer overflow
    Fix CVE-2011-3026
    Add 02-660026-CVE-2011-3026.patch
    Closes: 660026

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 16 Feb 2012 09:18:13 +1100

libpng (1.5.7-2) experimental; urgency=low

  * Fix typo from PPFLAGS to CPPFLAGS.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Jan 2012 21:39:33 +0900

libpng (1.5.7-1) experimental; urgency=low

  * New upstream release.
  * Update debian/rules.
    Enabled hardened build flags. (Closes: #654149)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 09 Jan 2012 21:02:50 +0900

libpng (1.5.6-1) experimental; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Nov 2011 12:35:59 +0900

libpng (1.5.5-1) experimental; urgency=low

  * New upstream release.
  * Fix lintian error: udeb-uses-non-gzip-data-tarball.
    Changed option of dh_builddeb for every package.
  * Fix lintian warning: brace-expansion-in-debhelper-config-file.
    Remove brace-expansion from debian/libpng-dev.install.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 26 Oct 2011 12:35:05 +0900

libpng (1.5.4-2) experimental; urgency=low

  * Port Steve Langasek's changes for 1.2.46-1
    - Build for multiarch. Closes: 634151
    - Drop debian/libpng15-15-udeb.dirs, which just adds a pointless empty
      directory to the udeb
  * Update debian/docs and debian/libpng15-15.docs
  * Add debian/libpng15-15.doc-base
  * Build-Depend on autotools-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 19 Jul 2011 00:49:57 +1000

libpng (1.2.46-2) unstable; urgency=low

  [ Steve Langasek ]
  * Build for multiarch.  Requires converting libpng3 from Arch: all to
    Arch: any. Closes: 634151
  * Drop debian/libpng12-0-udeb.dirs, which just adds a pointless empty
    directory to the udeb.

  [ Anibal Monsalve Salazar ]
  * Fix doc-base file
    Closes: 633944, 633957, 634120
  * Pass "-Zbzip2 -z9" to dpkg-deb


