=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
LDFLAGS += "-Wl,-z,defs"
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

config.status: configure
	dh_testdir
	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
	#./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean pngtest-static

install: build
	dh_testdir
	dh_testroot
	dh_prep
	set -e; for file in libpng16-16.install libpng16-16.links libpng16-dev.links ; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},${DEB_HOST_MULTIARCH},g" \
			debian/$${file}.in > debian/$$file; \
	done
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	gcc -Wall -g -O2 -c -o pngtest.o pngtest.c
	gcc -o pngtest -Wall -g -O2 pngtest.o -L.libs -lpng16
	gcc -o pngtest-static -Wall -g -O2  pngtest.o .libs/libpng16.a -lz -lm
	LD_LIBRARY_PATH=".libs:" ./pngtest
	./pngtest-static
endif

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_installchangelogs CHANGES -i
	dh_installdocs -i
	dh_install --sourcedir=debian/tmp -i
	dh_installman -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_link -a
	dh_installchangelogs -a CHANGES
	dh_installdocs -a
	dh_installexamples -plibpng16-dev example.c pngtest.c pngtest.png
	dh_install --sourcedir=debian/tmp -a
	dh_installman -a
	dh_lintian -plibpng16-16 -a
	# This does not work....
	# dh_lintian -plibpng16-16-udeb -a
	install -d debian/libpng16-16-udeb/usr/share/lintian/overrides
	install -p -m644 debian/libpng16-16-udeb.lintian-overrides \
		debian/libpng16-16-udeb/usr/share/lintian/overrides/libpng16-16-udeb
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs --add-udeb=libpng16-16-udeb -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
