## libpng1.6 1.6.28

=== debian/changelog ===
libpng1.6 (1.6.28-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Call png_image_free_function without guarding it with png_safe_execute
    (CVE-2019-7317) (Closes: #921355)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Apr 2019 22:12:35 +0200

libpng1.6 (1.6.28-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2017 19:50:31 +0100

libpng1.6 (1.6.27-1) unstable; urgency=medium

  * New upstream release (Closes: #849799)
    - Fix for CVE-2016-10087

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Dec 2016 08:51:32 +0100

libpng1.6 (1.6.26-6) unstable; urgency=medium

  * Enable pie in Debian, disable it in Ubuntu.
    - thanks pochu :)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Dec 2016 17:03:30 +0100

libpng1.6 (1.6.26-5) unstable; urgency=medium

  * Revert cmake switch, failing on arm64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Dec 2016 08:41:24 +0100

libpng1.6 (1.6.26-4) unstable; urgency=low

   * Upload to unstable.
   * Disable pie where Ubuntu has not defaulted yet.
     (armhf, arm64, powerpc)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2016 20:50:40 +0100

libpng1.6 (1.6.26-3) experimental; urgency=medium

  * Switch to cmake.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2016 20:50:40 +0100

libpng1.6 (1.6.26-2) unstable; urgency=medium

  * Enable full hardening (+pie) (Closes: #844429)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2016 18:10:16 +0100

libpng1.6 (1.6.26-1) unstable; urgency=low

  * New upstream release.
  * Switch to compat level 10
    - Drop autoreconf/parallel, automatically injected

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Oct 2016 19:36:32 +0200

libpng1.6 (1.6.25-2) unstable; urgency=medium

  * Mark the -tools package Multi-Arch: foreign.
    (Closes: #840446).
    Thanks Francois Gourget for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Oct 2016 19:13:50 +0200

libpng1.6 (1.6.25-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Sep 2016 12:29:51 +0200

libpng1.6 (1.6.24-2) unstable; urgency=medium

  * Stop providing pngcp, because a tool with the same
    name is provided by pngtools (Closes: #834119, #834118).
    - Consider re-enabling it if ineeded, but for now the
      tool has no manpage and no help command.
    - An alternative might be to make pngtools and libpng-tools
      conflict each others.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Aug 2016 10:35:50 +0200

libpng1.6 (1.6.24-1) unstable; urgency=medium

  * New upstream release.
    - install also new pngcp tool in libpng-tools package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Aug 2016 23:14:13 +0200

libpng1.6 (1.6.23-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jun 2016 16:41:46 +0200

libpng1.6 (1.6.22-1) unstable; urgency=medium

  * New upstream release.
    - drop fix_define_PNG_READ_16_TO_8.patch: upstream
  * Update copyright file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 05 Jun 2016 23:41:22 +0200

libpng1.6 (1.6.21-5) unstable; urgency=medium

  * d/control: Add VCS-* to repository on collab-maint.
  * Add patch to properly define PNG_READ_16_TO_8_SUPPORTED (Closes: #824014)
  * Add d/gbp.conf to ensure signed tags.

 -- Tobias Frost <tobi@debian.org>  Wed, 11 May 2016 19:30:16 +0200

libpng1.6 (1.6.21-4) unstable; urgency=medium

  * add libpng-config.patch from the old
    src:libpng.
    - disabling multiarch bits in libpng-config has
      the "side-effect" to let us have a Multiarch libpng-dev package.
      Closes: #822297
  * Make the libpng-dev package Multiarch ready.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 23 Apr 2016 09:04:06 +0200

libpng1.6 (1.6.21-3) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Add hardening flags (excluding PIE. CLoses: #805822)

  [ Gianfranco Costamagna ]
  * Drop useless pre-depends line.

  [ Bart Martens ]
  * Fix watch file

  [ Laurent Bigonville ]
  * Drop useless packages in Replaces field. (Closes: #820887)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Apr 2016 08:49:30 +0200

libpng1.6 (1.6.21-2) unstable; urgency=medium

  * Upload to unstable.
  * Add myself and Tobias to uploaders, as per maintainers
    suggestion.
  * Bump std-version to 3.9.8, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Apr 2016 17:26:38 +0200

libpng1.6 (1.6.21-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add upstream signing key
  * Fix watch file.
  * Update copyright file.
  * Drop libpng16-devtools, useless and merged in libpng-dev.
    (many packages relies on that script for building correctly)
    - breaks + replaces accordingly.
  * Remove multiarch -dev package
  * Rename libpng16-tools to libpng-tools, there is no need of
    strict versioning here.
  * Install upstream changelog.
  * Run upstream testsuite.
  * Remove README.* files, useless now.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2016 14:43:03 +0200

libpng1.6 (1.6.20-3) experimental; urgency=medium

  * Team upload
  * Move libpng16-dev to libpng-dev, to ease next transitions.
  * Drop conflicts against mzscheme, pngcrush, pngmeta,
    povray-3.5, qemacs, some of them disappeared, some of
    them have later versions already in old-oldstable.
  * Simplify even more the packaging, probably fixing #813288
  * Fix symlinks, and two lintian errors:
    - library-in-root-and-usr
    - old-style-config-script-multiarch-path
      (multiarch: no for libpng16-devtools)
  * Update standard-version to 3.9.7, no changes required.

